EGOV 전자정부 프레임워크 맥OSX 설치 방법

전자정부프레임워크홈페이지
 전자정부 프레임워크에서는 OSX를 정식으로 지원하지 않는다. 2.0버전을 다운로드해도 윈도우용 EXE파일이 존재할 뿐이다.  게시판에 OSX관련글을 올려도 담당자는 아무런 대답이 없다.
 그래서 검색한 결과 전자정부 프레임워크의 업데이트 주소를 찾을수 있었다. (게시판에 물어봐도 대답도 안해줬다.)

http://www.egovframe.go.kr/update

설치법은 아래와 같다.

  1. Help > Install New Software.. 창을열어 위의 주소를 추가시킨다.
  2. –All Available Sites– 을 선택한다.
  3. Modeling 트리를 열어서 UML2 Extender SDK를 설치한다.
  4. eGovFramework를 설치한다.


 eGovFramework는 UML2 라이브러리 설치를 필요로 하게 된다. 이 라이브러리를 설치하지 않고 eGovFramework를 설치하게 되면 아래와 같은 오류 메시지를 뱉는다.

eGovFramework Model Plug-in 2.0.1.201111250803 (egovframework.dev.imp.codegen.model 2.0.1.201111250803) requires ‘bundle org.eclipse.uml2.uml.resources 2.2.0’ but it could not be found

 설치 완료후 eGovFramework Perspective를 선택하여 상단에 eGovFrame메뉴가 생긴것을 확인함으로 최종 설치를 확인한다.


이 문서에서 사용한 이클립스 버전은 STS (Spring Tool Suite 2.8) 이다.

“EGOV 전자정부 프레임워크 맥OSX 설치 방법” 에 대한 3 댓글

답글 남기기